%define rel	1

Name:		systemdgenie
Version:	0.99.0
Release:	%mkrel %{rel}
Summary:	Systemd Managment Utility for Plasma 5
Group:		Graphical desktop/KDE
License:	GPLv2+
URL:		https://cgit.kde.org/systemdgenie.git
Source0:	http://download.kde.org/unstable/systemdgenie/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Auth)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5Crash)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5XmlGui)

BuildRequires:	pkgconfig(systemd)

Requires:	systemd

%description
SystemdGenie is a systemd management utility based on KDE technologies.
It provides a graphical frontend for the systemd daemon, which allows
for viewing and controlling systemd units, logind sessions as well as
easy modification of configuration and unit files.

%files
%doc NEWS README.md
%license COPYING
%{_kf5_sysconfdir}/dbus-1/system.d/org.kde.kcontrol.%{name}.conf
%{_kf5_bindir}/%{name}
%{_libexecdir}/kauth/systemdgeniehelper
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_datadir}/kxmlgui5/%{name}/
%{_kf5_datadir}/dbus-1/system-services/org.kde.kcontrol.%{name}.service
%{_kf5_datadir}/polkit-1/actions/org.kde.kcontrol.%{name}.policy

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build


%changelog
* Tue Dec 20 2016 daviddavid <daviddavid> 0.99.0-1.mga6
+ Revision: 1076213
- initial package systemdgenie

